package com.bonus.sgzb.base.mapper;


import com.bonus.sgzb.base.domain.BmUnitPerson;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
@Mapper
public interface BmUnitPersonMapper {
    public List<BmUnitPerson> getUnitPersonAll();

    public List<BmUnitPerson> getUnitPerson(BmUnitPerson bmUnitPerson);


    BmUnitPerson getUnitPersons(long unitId);

    public int unitPersonAdd(BmUnitPerson bmUnitPerson);

    public int getUnitPersonUser(BmUnitPerson bmUnitPerson);

    public void remove(Long[] unitIds);

    public int updateBmUnitPerson(BmUnitPerson bmUnitPerson);
}
